Package org.apache.sling.distribution.journal

## Class FullMessage<T>

- java.lang.Object
- - org.apache.sling.distribution.journal.FullMessage<T>

    public class FullMessage<T>
    extends Object

### Constructor Summary

Constructors
`FullMessage​(MessageInfo info, T message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageInfo` `getInfo()`
`T` `getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FullMessage

    public FullMessage​(MessageInfo info,
                       T message)

### Method Detail

#### getInfo

    public MessageInfo getInfo()

#### getMessage

    public T getMessage()